*
*
Home
Help
Login
Register
Welcome, Guest. Please login or register.
May 23, 2019, 08:15:04 PM

Login with username, password and session length
Forum changes: Editing of posts has been turned off until further notice.
Search:     Advanced search
275647 Posts in 27717 Topics by 4285 Members Latest Member: - Jason DAngelo Most online today: 158 - most online ever: 429 (November 03, 2007, 04:35:43 AM)
Pages: 1 [2]
Print
Author Topic: [Divinity] What tools do you need in the 'toolkit?'  (Read 4047 times)
joepub
Acts of Evil Playtesters
Member

Posts: 569

Joe Thomas McDonald


« Reply #15 on: April 21, 2006, 01:29:32 PM »

Quote
So, I guess Divinity is about power relationships (among equal and among subordinates.)

I hope this is what you were driving at Joepub.

Exactly, Sean.
And from what I`ve read about it so far, I think you are totally on track for making a game about power relationships.

One thing to keep in the back of your head at all times:
If the game is truly about power relationships, try and make the mechanics about power relationships too.
Logged

sean2099
Member

Posts: 182


WWW
« Reply #16 on: April 29, 2006, 10:33:20 AM »

I made another update.  I changed the rules from spending glory to activate a power to having to maintaining a minimum number of worshipers.  You can achieve/learn powers at a score beyond the current number of worshipers you have but you enter into "glory debt."  Therefore, I suggest going to the website and redownloading it if you are so inclined.  I also have made some minor formatting changes as well.

Thanks,

Sean

PS Please let me know if have or are interested in playtesting.  The download is 60 pages long, the front cover needs work (its a place holder more than anything). 
Logged

http://www.agesgaming.bravehost.com

agesgaming_divinity subscribe@yahoogroups.com

email to join AGES Gaming Yahoo Group
it's my lil' website.
Pages: 1 [2]
Print
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.11 | SMF © 2006-2009, Simple Machines LLC
Oxygen design by Bloc
Valid XHTML 1.0! Valid CSS!